package com.yihu.jw.restmodel.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;


/**
 * 
 * 门诊信息表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月31日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyOutpatientVO", description = "门诊信息表")
public class WlyyOutpatientVO extends UuidIdentityVO {

    /**
	 * 每次就诊唯一号
	 */
	@ApiModelProperty(value = "每次就诊唯一号", example = "模块1")
    private String admNo;

    /**
	 * 原始每次就诊唯一号
	 */
	@ApiModelProperty(value = "原始每次就诊唯一号", example = "模块1")
    private String originAdmNo;

    /**
	 * 挂号流水号
	 */
	@ApiModelProperty(value = "挂号流水号", example = "模块1")
    private String registerNo;

    /**
	 * 原始挂号流水号
	 */
	@ApiModelProperty(value = "原始挂号流水号", example = "模块1")
    private String originRegisterNo;

    /**
     * 原始就诊次数
     */
    @ApiModelProperty(value = "原始就诊次数", example = "模块1")
    private String originConNo;

    /**
     * 就诊次数
     */
    @ApiModelProperty(value = "就诊次数", example = "模块1")
    private String conNo;

    /**
     * 医院编码
     */
    @ApiModelProperty(value = "医院编码", example = "模块1")
    private String hospital;

    /**
     * 医院名称
     */
    @ApiModelProperty(value = "医院名称", example = "模块1")
    private String hospitalName;

    /**
     * 机构分部编码
     */
    @ApiModelProperty(value = "机构分部编码", example = "模块1")
    private String winNo;
    /**
	 * 部门
	 */
	@ApiModelProperty(value = "部门", example = "模块1")
    private String dept;

    /**
	 * 部门名称
	 */
	@ApiModelProperty(value = "部门名称", example = "模块1")
    private String deptName;

    /**
	 * 居民code
	 */
	@ApiModelProperty(value = "居民code", example = "模块1")
    private String patient;

    /**
	 * 居民名称
	 */
	@ApiModelProperty(value = "居民名称", example = "模块1")
    private String patientName;

    @ApiModelProperty(value = "居民手机", example = "模块1")
    private String mobile;
    /**
	 * 医生code
	 */
	@ApiModelProperty(value = "医生code", example = "模块1")
    private String doctor;

    /**
	 * 医生名称
	 */
	@ApiModelProperty(value = "医生名称", example = "模块1")
    private String doctorName;

    /**
	 * 身份证号
	 */
	@ApiModelProperty(value = "身份证号", example = "模块1")
    private String idcard;

    @ApiModelProperty(value = "就诊卡", example = "模块1")
    private String cardNo;

    /**
	 * 门急诊标记（MZ门诊，JZ急诊）
	 */
	@ApiModelProperty(value = "门急诊标记（MZ门诊，JZ急诊）", example = "模块1")
    private String mjz;

    /**
	 * 诊断编码
	 */
	@ApiModelProperty(value = "诊断编码", example = "模块1")
    private String icd10;

    /**
	 * icd10_name
	 */
	@ApiModelProperty(value = "icd10_name", example = "模块1")
    private String icd10Name;

    /**
	 * 挂号时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "挂号时间", example = "模块1")
    private Date admDate;

    /**
	 * 就诊时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "就诊时间", example = "模块1")
    private Date conDate;

    /**
     * 复诊说明
     */
    @ApiModelProperty(value = "复诊说明", example = "模块1")
    private String description;

    /**
     * 病症图片，用“，”分割
     */
    @ApiModelProperty(value = "病症图片，用“，”分割", example = "模块1")
    private String diseaseImg;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @ApiModelProperty(value = "预约时间", example = "模块1")
    private Date registerDate;

    /**
	 * -1 取消；0 候诊中 ；1 就诊中 ；2 已诊
	 */
	@ApiModelProperty(value = "-1 取消；0 候诊中 ；1 就诊中 ；2 已诊", example = "模块1")
    private String status;

    @ApiModelProperty(value = "1图文；2视频", example = "模块1")
    private String type;

    @ApiModelProperty(value = "性别，1男，2女", example = "模块1")
    private String sex;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @ApiModelProperty(value = "生日", example = "模块1")
    private Date birthday;

    /**
     * 1已经评价，0或其他未评价
     */
    @ApiModelProperty(value = "1已经评价，0或其他未评价", example = "模块1")
    private String evaluateStatus;

    /**
     * 1.在线复诊2.协同门诊
     */
    @ApiModelProperty(value = "1.在线复诊2.协同门诊", example = "模块1")
    private String outpatientType;

    @ApiModelProperty(value = "医嘱", example = "模块1")
    private String advice;

    @ApiModelProperty(value = "付款状态", example = "付款状态")
    private Integer payStatus;


    @ApiModelProperty(value = "检查项目", example = "检查项目")
    private List<WlyyInspectionVO> inspectionVOS;

    @ApiModelProperty(value = "来源", example = "来源")
    private String source;

    @ApiModelProperty(value = "代接诊人", example = "代接诊人")
    private String consumer;

    @ApiModelProperty(value = "代接诊人名字", example = "代接诊人名字")
    private String consumerName;

    @ApiModelProperty(value = "代接诊人手机号", example = "代接诊人手机号")
    private String consumerMobile;
    @ApiModelProperty(value = "费用", example = "费用")
    private Double fee;
    @ApiModelProperty(value = "号别", example = "号别")
    private String chargeType;

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public String getChargeType() {
        return chargeType;
    }

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }

    public String getAdmNo() {
        return admNo;
    }
    public void setAdmNo(String admNo) {
        this.admNo = admNo;
    }

    public String getOriginAdmNo() {
        return originAdmNo;
    }
    public void setOriginAdmNo(String originAdmNo) {
        this.originAdmNo = originAdmNo;
    }

    public String getRegisterNo() {
        return registerNo;
    }
    public void setRegisterNo(String registerNo) {
        this.registerNo = registerNo;
    }

    public String getOriginRegisterNo() {
        return originRegisterNo;
    }
    public void setOriginRegisterNo(String originRegisterNo) {
        this.originRegisterNo = originRegisterNo;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPatient() {
        return patient;
    }
    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getIdcard() {
        return idcard;
    }
    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getMjz() {
        return mjz;
    }
    public void setMjz(String mjz) {
        this.mjz = mjz;
    }

    public String getIcd10() {
        return icd10;
    }
    public void setIcd10(String icd10) {
        this.icd10 = icd10;
    }

    public String getIcd10Name() {
        return icd10Name;
    }
    public void setIcd10Name(String icd10Name) {
        this.icd10Name = icd10Name;
    }

    public Date getAdmDate() {
        return admDate;
    }
    public void setAdmDate(Date admDate) {
        this.admDate = admDate;
    }

    public Date getConDate() {
        return conDate;
    }
    public void setConDate(Date conDate) {
        this.conDate = conDate;
    }

    public String getStatus() {
        return status;
    }
    public void setStatus(String status) {
        this.status = status;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDiseaseImg() {
        return diseaseImg;
    }

    public void setDiseaseImg(String diseaseImg) {
        this.diseaseImg = diseaseImg;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getWinNo() {
        return winNo;
    }

    public void setWinNo(String winNo) {
        this.winNo = winNo;
    }

    public String getOriginConNo() {
        return originConNo;
    }

    public void setOriginConNo(String originConNo) {
        this.originConNo = originConNo;
    }

    public String getConNo() {
        return conNo;
    }

    public void setConNo(String conNo) {
        this.conNo = conNo;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getEvaluateStatus() {
        return evaluateStatus;
    }

    public void setEvaluateStatus(String evaluateStatus) {
        this.evaluateStatus = evaluateStatus;
    }

    public String getOutpatientType() {
        return outpatientType;
    }

    public void setOutpatientType(String outpatientType) {
        this.outpatientType = outpatientType;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public List<WlyyInspectionVO> getInspectionVOS() {
        return inspectionVOS;
    }

    public void setInspectionVOS(List<WlyyInspectionVO> inspectionVOS) {
        this.inspectionVOS = inspectionVOS;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getConsumer() {
        return consumer;
    }

    public void setConsumer(String consumer) {
        this.consumer = consumer;
    }

    public String getConsumerName() {
        return consumerName;
    }

    public void setConsumerName(String consumerName) {
        this.consumerName = consumerName;
    }

    public String getConsumerMobile() {
        return consumerMobile;
    }

    public void setConsumerMobile(String consumerMobile) {
        this.consumerMobile = consumerMobile;
    }
}